<?php

include("cp_header_adv_textarea.php"); 

$image_category[1]='تصميم'; 
$image_category[2]='مراحل العمل'; 
$image_category[3]='وضع نهائى'; 


if(!isset($_GET['id'])){
	
die("المقال غير موجودة");		
}	

//The second parameter on print_r returns the result to a variable rather than displaying it
if(!isset($RequestSignature)){
$RequestSignature = md5($_SERVER['REQUEST_URI'].$_SERVER['QUERY_STRING'].print_r($_POST, true));
}

$extensionx='' ;
$filex='';
$table="blogs";
$src="../img/$table/";	




$img_num='';

$query="select * from blogs where id=".$_GET['id'];
$result=mysqli_query($conn,$query);
while($fetch = mysqli_fetch_array($result)) {
   		 $fetch = clean_array($fetch);
$img_num=$fetch['id'];	
?>



<div id="cp_cont">
<div id="show_user_details"></div>
	

<?php
///تجنب اضافة سجل فى حالة اعادة تحميل المقال

if (isset($_SESSION['LastRequest']) && $_SESSION['LastRequest'] == $RequestSignature)
{
goto error;
}
else
{
$_SESSION['LastRequest'] = $RequestSignature;
}

if (isset($_POST['submit']) && $_POST['token_sec']==$_SESSION['token']  ) {



err1:

	

 ////////////////////////////////////////////////////////////////////////////////////


	
	
	$title='';
	$writer='';
	$desc='';
	$seo_desc='';
	$keywords='';
	$activ='';
	$priority='';
	$water_mark='';
	


	$title=str_replace("'","\'",$_POST['title']);
	$writer=$_POST['writer'];
	$_POST['desc'] = str_replace("<br /><br />", "</p><p>", nl2br($_POST['desc']));
	$desc=str_replace("'","\'",$_POST['desc']);
	
	$seo_desc=$_POST['seo_desc'];
	$keywords=$_POST['keywords'];




	$depart='1';
	$modified=date("Y-m-d H:i:s");



	if(isset($_POST['priority'])){
	$priority='1';
	}else{
	$priority='0';	
	}

	if(isset($_POST['active'])){
	$active='1';
	}else{
	$active='0';	
	}



// ************** prepare text area ***********//
$textarea_content=$desc;
$final_content='';
include'textarea_prepare.php' ;
$desc=$final_content;
// ************** prepare text area ***********//


$q="update blogs set `keywords`='$keywords',`writer`='$writer',`active`='$active',depart='$depart' ,title='$title'  , `desc`='$desc' , `seo_desc`='$seo_desc' , priority='$priority' , modified='$modified' where id=".$_GET['id'];
//echo "<div>".$query."</div>";







//بداية الاستعلام
$query= mysqli_prepare(

			$conn,
			"Update `$table` 
			set `keywords`=?,`writer`=?,`active`=?,`depart`=? ,`title`=?  , `desc`=? , `seo_desc`=? , `priority`=? , `modified`=? ,`user_modified`=? 
			where id=? "
			
			
	);

		

	
//نهيئة المتغيرات وحمايتها من الحقن
mysqli_stmt_bind_param($query,'ssiisssissi',
			
		$keywords,$writer,$active,$depart,$title,$desc,$seo_desc,$priority,$modified,$_SESSION[$domain."_user"],$_GET['id']

	);


			
//تنفيذ الاستعلام وتخزين حالته
$execute_status=mysqli_stmt_execute($query);
			 
//فى حالة وجود اخطاء فى الاتصال بقاعدة البيانات
if(mysqli_error($conn)!=''){

				 $error_database_arr['err']=mysqli_error($conn);

				 $error_database_arr['err_num']= mysqli_errno($conn);

				 $error_database_arr['error_stmt']= mysqli_stmt_error($query);

			 }
	
//عدد السجلات التى تم تنفيذها
$affected_rows=mysqli_affected_rows($conn);

//فى حالة نجاح الاستعلام
if($execute_status==1){
	

	echo "<div class='true'>تم رفع الوصف</div>";
	
	goto endall;
}else{
	err:	
	echo "<div class='false'>لم يتم رفع الوصف</div>";  
 
  		
}

unset($_POST['submit']);


}

error:


?>	
	

	
	
<div id="cp_title"> تعديل المقال 
<a  href="view_<?php echo $table; ?>.php?search=" style='background:url(../img/table.png);float:left;margin:10px 0px 5px 20px;color:var(--white);width:20px;height:20px;'></a>		
</div>
<div id="cp_body">

<form id="app_form" enctype="multipart/form-data" method="post" action="<?php echo $_SERVER['PHP_SELF'].'?id='.$_GET['id']?>">
<div class="cp_word_body">






<div class="cp_login_row" >
<div class="cp_title"><span style="color:red">*</span>تاريخ المقال </div>
<div class="cp_field">
<input class="datepicker required" alt="1" autocomplete='off' value="<?php echo $fetch['date'] ?>"  name="date" type="text" />
<div class="field_val "></div>	
</div>
</div>





<div class="cp_login_row " style="float:right;width:<?php echo $lang_sum; ?>%;height:110px">
<div class="cp_title"><span style="color:red">*</span>عنوان المقال </div>
<div class="cp_field">
<input class="required" alt="1" name="title" type="text" value="<?php echo $fetch['title'] ?>" />
<div class="field_val "></div>
</div>
</div>




<div class="cp_login_row " style="float:right;width:<?php echo $lang_sum; ?>%;height:110px">
<div class="cp_title"><span style="color:red">*</span>الكاتب</div>
<div class="cp_field">
<input class="required" alt="1" name="writer" type="text" value="<?php echo $fetch['writer'] ?>" />
<div class="field_val "></div>
</div>
</div>





<div class="cp_login_row " style="width:100%;">
<div class="cp_title"><span style="color:red">*</span>المحتوى</div>
<div class="cp_field">
	
<?php #include "rich_text/ColorPickerMenu.html" ;?>	
<textarea  class=" summernote"  name="desc" ><?php echo $fetch['desc']; ?></textarea>	
<div class="field_val" ></div>
</div>
</div>






<div class="cp_login_row " style="width:100%;">
<div class="cp_title"><span style="color:red">*</span>وصف ال seo</div>
<div class="cp_field">
	
<?php #include "rich_text/ColorPickerMenu.html" ;?>	
<textarea    name="seo_desc" ><?php echo $fetch['seo_desc']; ?></textarea>	
<div class="field_val" ></div>
</div>
</div>


<?php } if ($_SESSION['lang_ar']=='1'){?>
<div class="cp_login_row half_row_wide_right"  style="float:right;width:<?php echo $lang_sum; ?>%;height:250px;">
<div class="cp_title"><span style="color:red">*</span> الكلمات المفتاحية</div>
<div class="cp_field">

<textarea  class=" required" alt="1" id="keywords"  name="keywords" ><?php echo $fetch['keywords']; ?></textarea>
<div class="field_val"></div>	
</div>
</div>




<div class="cp_login_row" >
<div class="cp_title">وضع العلامة المائية</div>
<div class="cp_field">

<input alt="1" id="active" name="water_mark"  type="checkbox"  />
	
</div>
</div>




<div class="cp_login_row" >
<div class="cp_title">النشر</div>
<div class="cp_field">
<input alt="1" id="active" name="active" type="checkbox"  
<?php if($fetch['active']=='1'){ echo "checked='checked'" ;} ?>
/>	
</div>
</div>

<div class="cp_login_row" >
<div class="cp_title">الاولوية</div>
<div class="cp_field">
<input alt="1" id="active" name="priority" type="checkbox"  
<?php if($fetch['priority']=='1'){ echo "checked='checked'" ;} ?>
/>	
</div>
</div>




<div class="field_val" ></div>	
</div>	
</div>

<div class="cp_login_row">
<div class="cp_submit"><input  class="wymupdate" id="submit"  name="submit" value="تعديل"  title="دخول" type="submit"></div>
</div>
</div>
<input type="hidden" name="token_sec"  value='<?php echo $_SESSION['token']; ?>'> </form>
<?php }?>
</div>
</div>

<?php include("cp_footer.php"); ?>




<?php 
exit();

endall:
echo "<a class='true' href='view_blogs.php?search='> الانتقال لصفحة تعديل تدوينات </a>";
?>
<script type="text/javascript">
$(function(){
setTimeout(function() {
  window.location.href = "view_blogs.php?search=";
}, 5000);


});
</script>









